EasyCwmp

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000032easycwmp[All Projects] Bugpublic2015-01-19 07:422015-03-16 11:00
Reportersinkcup 
Assigned Tomohamed.kallel 
PriorityhighSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformHC5661 ( hiwifi.com )OSHiWiFi OS (base on openwrt 12.9)OS Version0.9007.1.7117s
Summary0000032: upgrade firmware return 0, but don't take effect, and make a new file /etc/easycwmp/.backup.xml
DescriptionI upgrade firmware from 0.9007 to 0.9008, then from 0.9008 to 0.9007, over and again.
easycwmp download the firmware to `/tmp/easycwmp_download`, than auto run `sysupgrade`, sometimes ok and auto reboot, sometimes return error 141, but at this time I manually run `/bin/sh /usr/sbin/easycwmp --json json_input` or `/sbin/sysupgrade /tmp/easycwmp_download` are all OK.

when display error, and there is a new file /etc/easycwmp/.backup.xml, and easycwmp auto exit, and can not start again. When I delete this file, easycwmp can start again.

detail at https://github.com/pivasoftware/easycwmp/issues/14 [^]
TagsNo tags attached.
Attached Filespng file icon 2015-01-19 10:16:44屏幕截图.png [^] (124,324 bytes) 2015-01-19 07:42

- Relationships

-  Notes
(0000124)
shasta (reporter)
2015-01-21 09:05

If your .backup.xml looks like
<backup_file>
 <cwmp>
  <acs_url>http://easycwmp:easycwmp@192.168.0.70:7547/genieacs</acs_url> [^]
  <transfer_complete>
   <command_key></command_key>
   <fault_code>0</fault_code>
   <fault_string></fault_string>
   <start_time>2015-01-21T12:00:23+00:00</start_time>
   <complete_time>0001-01-01T00:00:00Z</complete_time>
   <method_id>1</method_id>
  </transfer_complete>
  <event>
   <event_number>7</event_number>
  </event>
  <event>
   <event_number>13</event_number>
   <event_key></event_key>
   <event_method_id>1</event_method_id>
  </event>
 </cwmp>
</backup_file>

Add some check in backup.c backup_extract_transfer_complete()

n = mxmlFindElement(tree_m, tree_m, "CommandKey", NULL, NULL, MXML_DESCEND);
if (!n) goto error;
if(b->child)
{
    n = mxmlNewText(n, 0, b->child->value.text.string);
}
else
{
    n = mxmlNewText(n, 0, "");
}
if (!n) goto error;

And restart easycwmp should be fine
(0000148)
mohamed.kallel (manager)
2015-03-16 10:59

@shaste: Thank you for the remark and your contribution
(0000149)
mohamed.kallel (manager)
2015-03-16 11:00

fixed in the version EasyCwmp-1.1.2

- Issue History
Date Modified Username Field Change
2015-01-19 07:42 sinkcup New Issue
2015-01-19 07:42 sinkcup File Added: 2015-01-19 10:16:44屏幕截图.png
2015-01-21 09:05 shasta Note Added: 0000124
2015-03-16 10:59 mohamed.kallel Note Added: 0000148
2015-03-16 11:00 mohamed.kallel Note Added: 0000149
2015-03-16 11:00 mohamed.kallel Status new => resolved
2015-03-16 11:00 mohamed.kallel Resolution open => fixed
2015-03-16 11:00 mohamed.kallel Assigned To => mohamed.kallel


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker